<template>
  <div class="container">
    <div class="col-md-8 mx-auto mt-5 py-5" @submit.prevent="pressad">
      <div class="card">
        <div class="card-header">
          <h1>Login</h1>
        </div>
        <div
          v-show="warningMail"
          id="warning"
          class="alert alert-danger"
          role="alert"
        >
          correo y contrasña incorrect !
        </div>
        <div class="form-group">
          <input
            type="text"
            placeholder="Nombre "
            class="form-control"
            v-model="name_user"
          />
        </div>
        <div class="form-group">
          <input
            type="text"
            placeholder="Apellido"
            class="form-control"
            v-model="lastname_user"
          />
        </div>
        <div class="form-group">
          <select class="form-control" placeholder="Sexo" name id v-model="sex">
            <option value="Hombre">Hombre</option>
            <option value="Mujer">Mujer</option>
          </select>
        </div>
        <div class="form-group">
          <input
            type="number"
            placeholder="Movil"
            class="form-control"
            v-model="phone"
          />
        </div>
        <div class="form-group">
          <input
            type="email"
            placeholder="Correo"
            class="form-control"
            v-model="email"
          />
        </div>
        <div class="form-group">
          <input
            type="password"
            placeholder="Contraseña"
            class="form-control"
            v-model="pasword"
          />
        </div>

        <div class="form-group">
          <div class="form-group">
            <input
              type="submit"
              class="btn btn-primary"
              @click="Regestrar"
              value="Registrar"
            />
          </div>
          <div class="form-group">
            <router-link to="/Login">
              <a href>Login</a>
            </router-link>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
<script>
//import api from "@/api.js";
import firebase from "firebase";

export default {
   name: "Regest",
  data() {
    return {
      name_user: null,
      lastname_user: null,
      sex: null,
      phone: null,
      email: null,
      pasword: null,
      warningMail:false
    };
  },
  beforeCreate() {
    var firebaseConfig = {
      apiKey: "AIzaSyDHJAImX0CZ61x3YklLHKrERXYsah0vR-s",
      authDomain: "hairdresser-fdd22.firebaseapp.com",
      databaseURL: "https://hairdresser-fdd22.firebaseio.com",
      projectId: "hairdresser-fdd22",
      storageBucket: "hairdresser-fdd22.appspot.com",
      messagingSenderId: "914790914516",
      appId: "1:914790914516:web:d85a22ed9f890f13efde41",
      measurementId: "G-9PQNQNME5B",
    };

    firebase.initializeApp(firebaseConfig);
  },
  methods: {
    async Regestrar() {
      if (
      
        this.email === null ||
        this.pasword === null
      ) {
        this.warningMail = true;
      } else {
       firebase
          .auth()
          .createUserWithEmailAndPassword(
           
            this.email,
            this.pasword
          );
        alert("bien");

        this.$router.push("/Login");
      }
    },
  },
};
</script>
<style scoped></style>
